{
  "$schema": "https://schema.tauri.app/config/2",
  "productName": "美家卡智影",
  "version": "1.9.1",
  "identifier": "cn.meijiaka.ai-zy",
  "build": {
    "beforeDevCommand": "npm run dev",
    "devUrl": "http://localhost:1420",
    "beforeBuildCommand": "npm run build",
    "frontendDist": "../dist"
  },
  "app": {
    "windows": [
      {
        "label": "main",
        "title": "美家卡 智影",
        "width": 1440,
        "height": 960,
        "minWidth": 960,
        "minHeight": 640,
        "resizable": true,
        "visible": false
      }
    ],
    "security": {
      "csp": "default-src 'self'; script-src 'self'; style-src 'self' 'unsafe-inline'; font-src 'self' asset: http://asset.localhost; img-src 'self' https: data: blob: asset: http://asset.localhost; media-src 'self' https: blob: asset: http://asset.localhost; connect-src 'self' https: ws://localhost:* wss://localhost:* ipc://localhost ipc://localhost/* http://ipc.localhost;",
      "capabilities": [
        "default"
      ],
      "assetProtocol": {
        "enable": true,
        "scope": [
          "$APPLOCALDATA/**",
          "$APPDATA/**",
          "$APPCONFIG/**",
          "/**"
        ]
      }
    }
  },
  "plugins": {
    "opener": {},
    "updater": {
      "pubkey": "dW50cnVzdGVkIGNvbW1lbnQ6IG1pbmlzaWduIHB1YmxpYyBrZXkgMDAxMDNEMzI4NkY1MDQwQgpSV1FMQlBXR01qMFFBQXFDS0VGZTBxUzhjNkFmYTEvUWplNjIrSUpxTTRNOTkvWTVaWGVkbUJsdwo=",
      "endpoints": [
        "https://dev.tapi.meijiaka.cn/api/v1/update/check?version={{current_version}}&target={{target}}&arch={{arch}}"
      ]
    }
  },
  "bundle": {
    "active": true,
    "createUpdaterArtifacts": true,
    "targets": [
      "nsis",
      "dmg",
      "app"
    ],
    "externalBin": [
      "binaries/ffmpeg",
      "binaries/ffprobe"
    ],
    "resources": {
      "fonts/*": "fonts/"
    },
    "icon": [
      "icons/icon.png",
      "icons/icon.icns",
      "icons/128x128.png",
      "icons/128x128@2x.png",
      "icons/32x32.png",
      "icons/icon.ico"
    ],
    "macOS": {
      "minimumSystemVersion": "13.0",
      "infoPlist": "Info.plist",
      "dmg": {
        "background": "dmg-background.png",
        "windowSize": {
          "width": 660,
          "height": 400
        },
        "appPosition": {
          "x": 180,
          "y": 170
        },
        "applicationFolderPosition": {
          "x": 480,
          "y": 170
        }
      }
    },
    "windows": {
      "nsis": {
        "languages": [
          "SimpChinese"
        ],
        "displayLanguageSelector": false,
        "installMode": "perMachine"
      }
    }
  }
}
